--- kpat/freecell-solver/md5.h.orig	Thu Apr  5 14:50:56 2001
+++ kpat/freecell-solver/md5.h	Tue Apr  2 12:20:55 2002
@@ -9,6 +9,7 @@
 
 #define MD5_HASHBYTES 16
 
+#ifndef _AIX
 #ifdef WIN32
 typedef unsigned __int32 u_int32_t;
 #elif defined(__osf__)
@@ -16,6 +17,7 @@
 #elif !defined(__linux__) && !defined(__NetBSD__)
 typedef uint32_t u_int32_t;
 #endif  
+#endif /* _AIX */
 
 
 typedef struct MD5Context {
--- kpat/freecell-solver/jhjtypes.h.orig	Sun Jan 21 17:47:26 2001
+++ kpat/freecell-solver/jhjtypes.h	Tue Apr  2 12:20:55 2002
@@ -15,11 +15,16 @@
 
 /* Data types used in JHeyes-Jones sample code */
 
+#ifdef _AIX
+#include <sys/inttypes.h>
+#else
 typedef int int32;
-typedef unsigned int uint32;
 typedef short int16;              
-typedef unsigned short uint16;
 typedef signed char int8;
+#endif /* _AIX */
+
+typedef unsigned int uint32;
+typedef unsigned short uint16;
 typedef unsigned char uint8;
 
 #endif /* #ifdef __JHJTYPES_H */
--- ksirtet/kfouleggs/piece.cpp.orig	Tue Jan 29 21:57:29 2002
+++ ksirtet/kfouleggs/piece.cpp	Tue Apr  2 12:20:56 2002
@@ -40,13 +40,13 @@
 
 	// base circle
     int w = pixmap->width();
-	int d = (int)((sqrt(2)-2./3)*w);
+	int d = (int)((sqrt((float)2)-2./3)*w);
 	QRect cr = QRect(0, 0, d, d);
 	cr.moveCenter(QPoint(w/2, w/2));
 	p.drawEllipse(cr);
 
 	if (blockMode) {
-        int a  = (int)(w/(3.*sqrt(2)));
+        int a  = (int)(w/(3.*sqrt((float)2)));
         int ra = 2*w/3+1;
         cr = QRect(0, 0, ra, ra);
 
--- kjumpingcube/brain.cpp.orig	Fri Mar  8 01:17:27 2002
+++ kjumpingcube/brain.cpp	Tue Apr  2 12:20:55 2002
@@ -109,7 +109,7 @@
       worth[i]=new double[box.dim()];
 
    // alle Werte auf kleinstmglichen Wert setzen
-   double min=-pow(2.0,sizeof(long int)*8-1);  // Maximum auf kleinst mglichen Wert setzen
+   double min=-pow(2.0,(int)sizeof(long int)*8-1);  // Maximum auf kleinst mglichen Wert setzen
 
    for(i=0;i<box.dim();i++)
      for(j=0;j<box.dim();j++)
--- kjumpingcube/cubebox.cpp.orig	Thu Apr 12 15:54:46 2001
+++ kjumpingcube/cubebox.cpp	Tue Apr  2 12:20:55 2002
@@ -196,10 +196,10 @@
 
    if(player==One)
    {
-      return (int)pow((float)cubesOne,2)+pointsOne-(int)pow(cubesTwo,2)-pointsTwo;
+      return (int)pow((float)cubesOne,2)+pointsOne-(int)pow((float)cubesTwo,2)-pointsTwo;
    }
    else
-      return (int)pow((float)cubesTwo,2)+pointsTwo-(int)pow(cubesOne,2)-pointsOne;
+      return (int)pow((float)cubesTwo,2)+pointsTwo-(int)pow((float)cubesOne,2)-pointsOne;
 
 }
 
